use crate::game::game_object::GameObject;

pub enum State {
    Menu,
    InGame,
    GameOver,
}

#[wasm_bindgen(getter_with_clone)]
pub struct GameState {
    pub width: u32,
    pub height: u32,
    pub time: u64,
    pub score: u64,
    pub state: State(Menu),
    objects: Vec<GameObject>,
}
